/* CTRYDLL.C */

#include <stdlib.h>
#include <stdio.h>
#include "testdll.h"

main(int argc, char *argv[])
{
    int x = (argc < 2) ? 2 : atoi(argv[1]);
    int y = foo(x);
    char s[] = "hello world";
    char s2[] = 
        "this is another  test of the\t Borland C++\nrun-time library";
    char far *p;
    printf("foo(%u) ==> %u\n", x, y);
    // use Borland register pseudovariables:
    printf("in APP: DS=%04x SS=%04x\n", _DS, _SS);
    printf("mine() ==> %u\n", get());
    printf("length(%s) ==> %u\n", s, length(s));
    p = token(s2, " \t\n");
    printf("tokens: <%Fs> ", p);
    while (p = token(0, " \t\n"))
        printf("<%Fs> ", p);
    printf("\n");
    return 0;
}
